.white-bg {
  background-color: white !important;
}

.t-grey {
  color: #a1aab8 !important;
}
.t-warning {
  color: #ff8a8a !important;
}
.t-alert {
  color: #ff4f81 !important;
}
.t-success {
  color: #64c8bc !important;
}
.cursor {
  cursor: pointer;
}
/*
	- Card
*/
.card.custom {
  padding: 0;
  border: 1px solid #eee;
  box-shadow: none;

  .card-header {
    padding: 20px;
    border-bottom: 1px solid #eee;
    width: 100%;
    color: #333;
    font-size: 17px;
    background: #f9f9f9;
    letter-spacing: 0.5px;
  }

  .card-content {
    ul.blocks-list {
      display: grid;
      grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
      grid-auto-flow: dense;
      padding: 0;
      list-style: none;

      .block {
        padding: 20px;
        border-right: 1px solid #eee;
        border-bottom: 1px solid #eee;
        width: 100%;
        height: 100%;
        object-fit: cover;
        list-style: none;
        overflow: hidden;
      }

      &.vertical {
        border-right: 0;
        flex-direction: column;
        grid-template-columns: none;

        &::nth-child(even) {
          background-color: #fafafa;
        }
      }

      .block-heading {
        font-size: 12px;
        color: #3c4b62;
        /*color: #a1aab8;*/
        text-transform: uppercase;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        letter-spacing: 0.5px;
      }

      .block-number {
        font-size: 22px;
        font-weight: bold;
        width: 100%;
        margin: 10px 0;
        color: #5f6368;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow-x: hidden;
        height: 25px;
      }

      .block-compare {
        font-size: 12px;
        width: 100%;
        color: #a1aab8;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        /*color: #3880ff;*/
      }
    }

    .canvas-container {
      width: 100%;
      height: 400px;
      padding: 30px 20px;
      position: relative;

      .canvas-chart {
        width: auto;
        height: 100%;
      }
    }
  }
}

form#filterForm
{
  input.form-control
  {
    height: 32px;
  }
}

.filters {
  display: grid;
  width: 100%;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-auto-flow: dense;
  padding: 0;
  grid-gap: 15px;

  .filter {
    select {
      width: 100%;
      padding: 4px 10px !important;
      height: 32px;
      border-radius: 0 !important;
      font-size: 13px;
      cursor: pointer;
      background-color: #fff;
      transition-duration: 0.3s;

      &:focus,
      &:active,
      &:hover {
        -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12),
          0 1px 2px rgba(0, 0, 0, 0.24);
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
        transition-duration: 0.3s;
        border: 1px solid #ccc;
      }
    }

    input {
      width: 100%;
      padding: 4px 10px;
      height: auto;
      font-size: 13px;
      cursor: pointer;
      background-color: #fff;
      transition-duration: 0.3s;
      border-radius: 0;

      &.white-bg {
        background-color: #fff;
      }
    }

    .filter-heading {
      font-size: 11px;
    }

    .clear-button {
      font-size: 11px;
      cursor: pointer;
      color: #a1aab8;
      visibility: hidden;
    }
  }
}

#map-container {
  width: 100%;
  height: 550px !important;
  display: block;
  position: relative;
}

.buttons-group {
  list-style: none;
  border: 1px solid #ccc;
  border-radius: 4px;

  li {
    display: inline-block;
    padding: 8px 15px;
    border-right: 1px solid #eee;
  }

  li:last-of-type {
    border-right: none;
  }

  li:hover {
    background-color: #eee;
  }
}

// - Button Group
.button-group {
  .button {
    border: 1px solid #eee;
    font-size: 13px;
    font-weight: 500;
    outline: 0;
    padding: 8px 20px;
    margin-right: 0;
    border-radius: 6px;
    cursor: pointer;
  }

  .button.active {
    background-color: #6d5cae;
    color: #fff;
  }
}

.tab-content {
  .map-view {
    display: none;
    transition-duration: 0.2s;

    &.active {
      display: block;
      transition-duration: 0.2s;
    }
  }

  .graph-view {
    display: none;
    transition-duration: 0.2s;
    padding: 20px;

    &.active {
      display: block;
      transition-duration: 0.2s;
    }
  }

  .table-view {
    display: none;
    transition-duration: 0.2s;
    padding: 20px;

    &.active {
      display: block;
      transition-duration: 0.2s;
    }

    .grid {
      box-shadow: none !important;
      padding: 0 !important;
    }
  }
}

.refresh-button {
  background: #ecf0f6;
  padding: 7px 15px;
  border-radius: 4px;
  font-size: 12px;
  font-weight: bold;
  margin-left: 10px;

  i {
    transition: 0.3s;
    transform: rotate(0);
  }

  &:hover i {
    background-color: #e3e9f3;
    transition: 0.3s;
    transform: rotate(180deg);
    border-radius: 4px;
  }
}

.select2 {
  input {
    border: none;

    &:focus,
    &:active,
    &:hover {
      box-shadow: none !important;
      border: 0 !important;
    }
  }
}
